Bulk
organization_id*stringstatuses?array<string>|Filter by status (queued, running, completed, failed, cancelled). Repeat or comma-separate for several.
limit?integerPage size (1-100)
int641 <= value <= 10020cursor?stringOpaque cursor from meta.nextCursor
includeTotal?booleanSet false to omit meta.total
trueOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uridata*array<>|nullmeta*curl -X GET 'https://example.com/api/v1/organizations/string/bulk-operations'{ "$schema": "https://example.com/schemas/PageOperation.json", "data": [ { "$schema": "https://example.com/schemas/Operation.json", "action": "string", "applied": 0, "createdAt": "2019-08-24T14:15:22Z", "error": "string", "failed": 0, "finishedAt": "2019-08-24T14:15:22Z", "id": "string", "mode": "string", "organizationId": "string", "requested": 0, "resource": "string", "results": [ { "code": "string", "id": "string", "message": "string", "status": "string" } ], "resultsTruncated": true, "skipped": 0, "startedAt": "2019-08-24T14:15:22Z", "status": "string" } ], "meta": { "hasMore": true, "limit": 0, "nextCursor": "string", "total": 0 }}organization_id*stringoperation_id*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaction*stringapplied*integerint64createdAt*stringdate-timeerror?stringfailed*integerint64finishedAt?stringdate-timeid*stringmode*stringorganizationId*stringrequested*integerint64resource*stringresults?array<>|nullresultsTruncated*booleanskipped*integerint64startedAt?stringdate-timestatus*stringcurl -X GET 'https://example.com/api/v1/organizations/string/bulk-operations/string'{ "$schema": "https://example.com/schemas/Operation.json", "action": "string", "applied": 0, "createdAt": "2019-08-24T14:15:22Z", "error": "string", "failed": 0, "finishedAt": "2019-08-24T14:15:22Z", "id": "string", "mode": "string", "organizationId": "string", "requested": 0, "resource": "string", "results": [ { "code": "string", "id": "string", "message": "string", "status": "string" } ], "resultsTruncated": true, "skipped": 0, "startedAt": "2019-08-24T14:15:22Z", "status": "string"}organization_id*stringapplication/json- body
selection*status*string"active""paused""closed"OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaction*stringapplied*integerint64createdAt*stringdate-timeerror?stringfailed*integerint64finishedAt?stringdate-timeid*stringmode*stringorganizationId*stringrequested*integerint64resource*stringresults?array<>|nullresultsTruncated*booleanskipped*integerint64startedAt?stringdate-timestatus*stringcurl -X POST 'https://example.com/api/v1/organizations/string/check-in-sessions/bulk/status' \ -H 'Content-Type: application/json' \ -d '{ "selection": { "mode": "explicit" }, "status": "active"}'{ "$schema": "https://example.com/schemas/Operation.json", "action": "string", "applied": 0, "createdAt": "2019-08-24T14:15:22Z", "error": "string", "failed": 0, "finishedAt": "2019-08-24T14:15:22Z", "id": "string", "mode": "string", "organizationId": "string", "requested": 0, "resource": "string", "results": [ { "code": "string", "id": "string", "message": "string", "status": "string" } ], "resultsTruncated": true, "skipped": 0, "startedAt": "2019-08-24T14:15:22Z", "status": "string"}organization_id*stringapplication/json- body
selection*OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaction*stringapplied*integerint64createdAt*stringdate-timeerror?stringfailed*integerint64finishedAt?stringdate-timeid*stringmode*stringorganizationId*stringrequested*integerint64resource*stringresults?array<>|nullresultsTruncated*booleanskipped*integerint64startedAt?stringdate-timestatus*stringcurl -X POST 'https://example.com/api/v1/organizations/string/events/bulk/archive' \ -H 'Content-Type: application/json' \ -d '{ "selection": { "mode": "explicit" }}'{ "$schema": "https://example.com/schemas/Operation.json", "action": "string", "applied": 0, "createdAt": "2019-08-24T14:15:22Z", "error": "string", "failed": 0, "finishedAt": "2019-08-24T14:15:22Z", "id": "string", "mode": "string", "organizationId": "string", "requested": 0, "resource": "string", "results": [ { "code": "string", "id": "string", "message": "string", "status": "string" } ], "resultsTruncated": true, "skipped": 0, "startedAt": "2019-08-24T14:15:22Z", "status": "string"}organization_id*stringapplication/json- body
eventGroupId?stringTarget EventGroup id.
eventSeriesId?stringTarget EventSeries id.
selection*OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaction*stringapplied*integerint64createdAt*stringdate-timeerror?stringfailed*integerint64finishedAt?stringdate-timeid*stringmode*stringorganizationId*stringrequested*integerint64resource*stringresults?array<>|nullresultsTruncated*booleanskipped*integerint64startedAt?stringdate-timestatus*stringcurl -X POST 'https://example.com/api/v1/organizations/string/events/bulk/move' \ -H 'Content-Type: application/json' \ -d '{ "selection": { "mode": "explicit" }}'{ "$schema": "https://example.com/schemas/Operation.json", "action": "string", "applied": 0, "createdAt": "2019-08-24T14:15:22Z", "error": "string", "failed": 0, "finishedAt": "2019-08-24T14:15:22Z", "id": "string", "mode": "string", "organizationId": "string", "requested": 0, "resource": "string", "results": [ { "code": "string", "id": "string", "message": "string", "status": "string" } ], "resultsTruncated": true, "skipped": 0, "startedAt": "2019-08-24T14:15:22Z", "status": "string"}organization_id*stringapplication/json- body
selection*OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaction*stringapplied*integerint64createdAt*stringdate-timeerror?stringfailed*integerint64finishedAt?stringdate-timeid*stringmode*stringorganizationId*stringrequested*integerint64resource*stringresults?array<>|nullresultsTruncated*booleanskipped*integerint64startedAt?stringdate-timestatus*stringcurl -X POST 'https://example.com/api/v1/organizations/string/events/bulk/publish' \ -H 'Content-Type: application/json' \ -d '{ "selection": { "mode": "explicit" }}'{ "$schema": "https://example.com/schemas/Operation.json", "action": "string", "applied": 0, "createdAt": "2019-08-24T14:15:22Z", "error": "string", "failed": 0, "finishedAt": "2019-08-24T14:15:22Z", "id": "string", "mode": "string", "organizationId": "string", "requested": 0, "resource": "string", "results": [ { "code": "string", "id": "string", "message": "string", "status": "string" } ], "resultsTruncated": true, "skipped": 0, "startedAt": "2019-08-24T14:15:22Z", "status": "string"}organization_id*stringapplication/json- body
paused*booleanTrue to pause sales, false to resume.
selection*OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaction*stringapplied*integerint64createdAt*stringdate-timeerror?stringfailed*integerint64finishedAt?stringdate-timeid*stringmode*stringorganizationId*stringrequested*integerint64resource*stringresults?array<>|nullresultsTruncated*booleanskipped*integerint64startedAt?stringdate-timestatus*stringcurl -X POST 'https://example.com/api/v1/organizations/string/events/bulk/sales' \ -H 'Content-Type: application/json' \ -d '{ "paused": true, "selection": { "mode": "explicit" }}'{ "$schema": "https://example.com/schemas/Operation.json", "action": "string", "applied": 0, "createdAt": "2019-08-24T14:15:22Z", "error": "string", "failed": 0, "finishedAt": "2019-08-24T14:15:22Z", "id": "string", "mode": "string", "organizationId": "string", "requested": 0, "resource": "string", "results": [ { "code": "string", "id": "string", "message": "string", "status": "string" } ], "resultsTruncated": true, "skipped": 0, "startedAt": "2019-08-24T14:15:22Z", "status": "string"}organization_id*stringapplication/json- body
selection*visibility*string"public""unlisted""private"OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaction*stringapplied*integerint64createdAt*stringdate-timeerror?stringfailed*integerint64finishedAt?stringdate-timeid*stringmode*stringorganizationId*stringrequested*integerint64resource*stringresults?array<>|nullresultsTruncated*booleanskipped*integerint64startedAt?stringdate-timestatus*stringcurl -X POST 'https://example.com/api/v1/organizations/string/events/bulk/visibility' \ -H 'Content-Type: application/json' \ -d '{ "selection": { "mode": "explicit" }, "visibility": "public"}'{ "$schema": "https://example.com/schemas/Operation.json", "action": "string", "applied": 0, "createdAt": "2019-08-24T14:15:22Z", "error": "string", "failed": 0, "finishedAt": "2019-08-24T14:15:22Z", "id": "string", "mode": "string", "organizationId": "string", "requested": 0, "resource": "string", "results": [ { "code": "string", "id": "string", "message": "string", "status": "string" } ], "resultsTruncated": true, "skipped": 0, "startedAt": "2019-08-24T14:15:22Z", "status": "string"}organization_id*stringapplication/json- body
active*booleanTrue to enable sale, false to disable.
selection*OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaction*stringapplied*integerint64createdAt*stringdate-timeerror?stringfailed*integerint64finishedAt?stringdate-timeid*stringmode*stringorganizationId*stringrequested*integerint64resource*stringresults?array<>|nullresultsTruncated*booleanskipped*integerint64startedAt?stringdate-timestatus*stringcurl -X POST 'https://example.com/api/v1/organizations/string/passes/bulk/sale-state' \ -H 'Content-Type: application/json' \ -d '{ "active": true, "selection": { "mode": "explicit" }}'{ "$schema": "https://example.com/schemas/Operation.json", "action": "string", "applied": 0, "createdAt": "2019-08-24T14:15:22Z", "error": "string", "failed": 0, "finishedAt": "2019-08-24T14:15:22Z", "id": "string", "mode": "string", "organizationId": "string", "requested": 0, "resource": "string", "results": [ { "code": "string", "id": "string", "message": "string", "status": "string" } ], "resultsTruncated": true, "skipped": 0, "startedAt": "2019-08-24T14:15:22Z", "status": "string"}organization_id*stringapplication/json- body
note?stringlength <= 2000selection*OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaction*stringapplied*integerint64createdAt*stringdate-timeerror?stringfailed*integerint64finishedAt?stringdate-timeid*stringmode*stringorganizationId*stringrequested*integerint64resource*stringresults?array<>|nullresultsTruncated*booleanskipped*integerint64startedAt?stringdate-timestatus*stringcurl -X POST 'https://example.com/api/v1/organizations/string/registrations/bulk/approve' \ -H 'Content-Type: application/json' \ -d '{ "selection": { "mode": "explicit" }}'{ "$schema": "https://example.com/schemas/Operation.json", "action": "string", "applied": 0, "createdAt": "2019-08-24T14:15:22Z", "error": "string", "failed": 0, "finishedAt": "2019-08-24T14:15:22Z", "id": "string", "mode": "string", "organizationId": "string", "requested": 0, "resource": "string", "results": [ { "code": "string", "id": "string", "message": "string", "status": "string" } ], "resultsTruncated": true, "skipped": 0, "startedAt": "2019-08-24T14:15:22Z", "status": "string"}organization_id*stringIdempotency-Key?stringapplication/json- body
reason*string1 <= length <= 2000refundMinorUnits?integerRefund applied to every target; omitted credits the settled value.
int64selection*OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaction*stringapplied*integerint64createdAt*stringdate-timeerror?stringfailed*integerint64finishedAt?stringdate-timeid*stringmode*stringorganizationId*stringrequested*integerint64resource*stringresults?array<>|nullresultsTruncated*booleanskipped*integerint64startedAt?stringdate-timestatus*stringcurl -X POST 'https://example.com/api/v1/organizations/string/registrations/bulk/cancel' \ -H 'Content-Type: application/json' \ -d '{ "reason": "string", "selection": { "mode": "explicit" }}'{ "$schema": "https://example.com/schemas/Operation.json", "action": "string", "applied": 0, "createdAt": "2019-08-24T14:15:22Z", "error": "string", "failed": 0, "finishedAt": "2019-08-24T14:15:22Z", "id": "string", "mode": "string", "organizationId": "string", "requested": 0, "resource": "string", "results": [ { "code": "string", "id": "string", "message": "string", "status": "string" } ], "resultsTruncated": true, "skipped": 0, "startedAt": "2019-08-24T14:15:22Z", "status": "string"}organization_id*stringapplication/json- body
note?stringlength <= 2000selection*OK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaction*stringapplied*integerint64createdAt*stringdate-timeerror?stringfailed*integerint64finishedAt?stringdate-timeid*stringmode*stringorganizationId*stringrequested*integerint64resource*stringresults?array<>|nullresultsTruncated*booleanskipped*integerint64startedAt?stringdate-timestatus*stringcurl -X POST 'https://example.com/api/v1/organizations/string/registrations/bulk/reject' \ -H 'Content-Type: application/json' \ -d '{ "selection": { "mode": "explicit" }}'{ "$schema": "https://example.com/schemas/Operation.json", "action": "string", "applied": 0, "createdAt": "2019-08-24T14:15:22Z", "error": "string", "failed": 0, "finishedAt": "2019-08-24T14:15:22Z", "id": "string", "mode": "string", "organizationId": "string", "requested": 0, "resource": "string", "results": [ { "code": "string", "id": "string", "message": "string", "status": "string" } ], "resultsTruncated": true, "skipped": 0, "startedAt": "2019-08-24T14:15:22Z", "status": "string"}organization_id*stringIdempotency-Key?stringapplication/json- body
attendanceMode?string"in_person""online"overrideCheckin?booleanpaymentMode?string"online""offline"reason*string1 <= length <= 2000refundMinorUnits?integerint64selection*toPassId*stringOK
application/json- response
$schema?stringA URL to the JSON Schema for this object.
uriaction*stringapplied*integerint64createdAt*stringdate-timeerror?stringfailed*integerint64finishedAt?stringdate-timeid*stringmode*stringorganizationId*stringrequested*integerint64resource*stringresults?array<>|nullresultsTruncated*booleanskipped*integerint64startedAt?stringdate-timestatus*stringcurl -X POST 'https://example.com/api/v1/organizations/string/registrations/bulk/switch' \ -H 'Content-Type: application/json' \ -d '{ "reason": "string", "selection": { "mode": "explicit" }, "toPassId": "string"}'{ "$schema": "https://example.com/schemas/Operation.json", "action": "string", "applied": 0, "createdAt": "2019-08-24T14:15:22Z", "error": "string", "failed": 0, "finishedAt": "2019-08-24T14:15:22Z", "id": "string", "mode": "string", "organizationId": "string", "requested": 0, "resource": "string", "results": [ { "code": "string", "id": "string", "message": "string", "status": "string" } ], "resultsTruncated": true, "skipped": 0, "startedAt": "2019-08-24T14:15:22Z", "status": "string"}